# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.23)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS QtCreator::OptionalSvg QtCreator::app_version QtCreator::3rd_cplusplus QtCreator::KSyntaxHighlighting QtCreator::libvterm QtCreator::QrCodeGenerator QtCreator::qtkeychain QtCreator::lua546 QtCreator::sol2 QtCreator::Nanotrace QtCreator::AdvancedDockingSystem QtCreator::Aggregation QtCreator::CPlusPlus QtCreator::ExtensionSystem QtCreator::GLSL QtCreator::LanguageServerProtocol QtCreator::LanguageUtils QtCreator::Modeling QtCreator::QmlDebug QtCreator::QmlEditorWidgets QtCreator::QmlJS QtCreator::Utils QtCreator::Spinner QtCreator::Tasking QtCreator::TerminalLib QtCreator::Tracing QtCreator::SqliteInternal QtCreator::Sqlite QtCreator::QmlPuppetCommunication QtCreator::CmdBridgeClient QtCreator::qlitehtml QtCreator::designerintegrationv2 QtCreator::ProParser QtCreator::shared_help QtCreator::Core QtCreator::Lua QtCreator::TextEditor QtCreator::SerialTerminal QtCreator::ExtensionManager QtCreator::HelloWorld QtCreator::ImageViewer QtCreator::Marketplace QtCreator::ScreenRecorder QtCreator::UpdateInfo QtCreator::Welcome QtCreator::BinEditor QtCreator::CodePaster QtCreator::DiffEditor QtCreator::EmacsKeys QtCreator::Macros QtCreator::ProjectExplorer QtCreator::SilverSearcher QtCreator::Axivion QtCreator::CompilerExplorer QtCreator::CppEditor QtCreator::Haskell QtCreator::Help QtCreator::ResourceEditor QtCreator::Nim QtCreator::Conan QtCreator::SafeRenderer QtCreator::Terminal QtCreator::Vcpkg QtCreator::ClassView QtCreator::GLSLEditor QtCreator::ModelEditor QtCreator::QtSupport QtCreator::Todo QtCreator::VcsBase QtCreator::AutotoolsProjectManager QtCreator::Bazaar QtCreator::Beautifier QtCreator::ClearCase QtCreator::CVS QtCreator::Designer QtCreator::Docker QtCreator::FakeVim QtCreator::Fossil QtCreator::GenericProjectManager QtCreator::Git QtCreator::Mercurial QtCreator::MesonProjectManager QtCreator::Perforce QtCreator::QmakeProjectManager QtCreator::QmlJSTools QtCreator::ScxmlEditor QtCreator::Subversion QtCreator::CompilationDatabaseProjectManager QtCreator::LanguageClient QtCreator::LuaLanguageClient QtCreator::QmlDesignerBase QtCreator::WebAssembly QtCreator::Debugger QtCreator::Coco QtCreator::Copilot QtCreator::GitLab QtCreator::QmlProjectManager QtCreator::Python QtCreator::ClangFormat QtCreator::CMakeProjectManager QtCreator::Android QtCreator::AutoTest QtCreator::BareMetal QtCreator::ClangCodeModel QtCreator::yaml-cpp QtCreator::ClangTools QtCreator::Cppcheck QtCreator::IncrediBuild QtCreator::Ios QtCreator::QmlJSEditor QtCreator::QmlPreview QtCreator::QmlProfiler QtCreator::RemoteLinux QtCreator::Valgrind QtCreator::PerfProfiler QtCreator::QbsProjectManager QtCreator::CtfVisualizer QtCreator::Squish QtCreator::Boot2Qt QtCreator::QmlDesignerUtils QtCreator::QmlDesigner QtCreator::assetexporterplugin QtCreator::componentsplugin QtCreator::qmlpreviewplugin QtCreator::qtquickplugin QtCreator::QmlDesignerLite QtCreator::EffectComposer QtCreator::StudioWelcome QtCreator::Insight QtCreator::Qnx QtCreator::McuSupport QtCreator::QtApplicationManagerIntegration QtCreator::sdktoolLib QtCreator::perfparser_lib)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target QtCreator::OptionalSvg
add_library(QtCreator::OptionalSvg INTERFACE IMPORTED)

set_target_properties(QtCreator::OptionalSvg PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt::Svg"
)

# Create imported target QtCreator::app_version
add_library(QtCreator::app_version INTERFACE IMPORTED)

set_target_properties(QtCreator::app_version PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src"
)

# Create imported target QtCreator::3rd_cplusplus
add_library(QtCreator::3rd_cplusplus OBJECT IMPORTED)

set_target_properties(QtCreator::3rd_cplusplus PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:Qt::Core,INTERFACE_COMPILE_DEFINITIONS>;\$<TARGET_PROPERTY:QtCreator::Utils,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_COMPILE_OPTIONS "\$<TARGET_PROPERTY:Qt::Core,INTERFACE_COMPILE_OPTIONS>;\$<TARGET_PROPERTY:QtCreator::Utils,INTERFACE_COMPILE_OPTIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "\$<TARGET_PROPERTY:Qt::Core,INTERFACE_INCLUDE_DIRECTORIES>;\$<TARGET_PROPERTY:QtCreator::Utils,INTERFACE_INCLUDE_DIRECTORIES>;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "\$<TARGET_PROPERTY:Qt::Core,INTERFACE_INCLUDE_DIRECTORIES>;\$<TARGET_PROPERTY:QtCreator::Utils,INTERFACE_INCLUDE_DIRECTORIES>"
)

# Create imported target QtCreator::KSyntaxHighlighting
add_library(QtCreator::KSyntaxHighlighting SHARED IMPORTED)

set_target_properties(QtCreator::KSyntaxHighlighting PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/syntax-highlighting/src/lib;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/syntax-highlighting/autogenerated/include;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/syntax-highlighting/autogenerated/src/lib;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty"
)

# Create imported target QtCreator::libvterm
add_library(QtCreator::libvterm STATIC IMPORTED)

set_target_properties(QtCreator::libvterm PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "LIBVTERM_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/libvterm/include;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty"
)

# Create imported target QtCreator::QrCodeGenerator
add_library(QtCreator::QrCodeGenerator STATIC IMPORTED)

set_target_properties(QtCreator::QrCodeGenerator PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "QRCODEGENERATOR_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/qrcodegen/src;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Qt6::Qml>;\$<LINK_ONLY:Qt6::Quick>;\$<LINK_ONLY:Qt6::Svg>"
)

# Create imported target QtCreator::qtkeychain
add_library(QtCreator::qtkeychain SHARED IMPORTED)

set_target_properties(QtCreator::qtkeychain PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty"
)

# Create imported target QtCreator::lua546
add_library(QtCreator::lua546 STATIC IMPORTED)

set_target_properties(QtCreator::lua546 PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "LUA_USE_LINUX"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/lua/src;${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty"
)

# Create imported target QtCreator::sol2
add_library(QtCreator::sol2 INTERFACE IMPORTED)

set_target_properties(QtCreator::sol2 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target QtCreator::Nanotrace
add_library(QtCreator::Nanotrace SHARED IMPORTED)

set_target_properties(QtCreator::Nanotrace PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "NANOTRACE_ENABLED"
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANG_AND_ID:CXX,MSVC>:/wd5030>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt::Core;Qt::Gui"
)

# Create imported target QtCreator::AdvancedDockingSystem
add_library(QtCreator::AdvancedDockingSystem SHARED IMPORTED)

set_target_properties(QtCreator::AdvancedDockingSystem PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::Aggregation
add_library(QtCreator::Aggregation SHARED IMPORTED)

set_target_properties(QtCreator::Aggregation PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::CPlusPlus
add_library(QtCreator::CPlusPlus SHARED IMPORTED)

set_target_properties(QtCreator::CPlusPlus PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::3rd_cplusplus;Qt::Gui"
)

# Create imported target QtCreator::ExtensionSystem
add_library(QtCreator::ExtensionSystem SHARED IMPORTED)

set_target_properties(QtCreator::ExtensionSystem PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "EXTENSIONSYSTEM_WITH_TESTOPTION"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt::Core;Qt::Widgets;QtCreator::Nanotrace"
)

# Create imported target QtCreator::GLSL
add_library(QtCreator::GLSL SHARED IMPORTED)

set_target_properties(QtCreator::GLSL PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::LanguageServerProtocol
add_library(QtCreator::LanguageServerProtocol SHARED IMPORTED)

set_target_properties(QtCreator::LanguageServerProtocol PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::LanguageUtils
add_library(QtCreator::LanguageUtils SHARED IMPORTED)

set_target_properties(QtCreator::LanguageUtils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt::Core"
)

# Create imported target QtCreator::Modeling
add_library(QtCreator::Modeling SHARED IMPORTED)

set_target_properties(QtCreator::Modeling PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/modelinglib;${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::OptionalSvg"
)

# Create imported target QtCreator::QmlDebug
add_library(QtCreator::QmlDebug SHARED IMPORTED)

set_target_properties(QtCreator::QmlDebug PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::QmlEditorWidgets
add_library(QtCreator::QmlEditorWidgets SHARED IMPORTED)

set_target_properties(QtCreator::QmlEditorWidgets PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::QmlJS
add_library(QtCreator::QmlJS SHARED IMPORTED)

set_target_properties(QtCreator::QmlJS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::CPlusPlus;Qt::Widgets;QtCreator::LanguageUtils"
)

# Create imported target QtCreator::Utils
add_library(QtCreator::Utils SHARED IMPORTED)

set_target_properties(QtCreator::Utils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs;${_IMPORT_PREFIX}/include/qtcreator/src/libs/utils/mimetypes2"
  INTERFACE_LINK_LIBRARIES "Qt::Concurrent;Qt::Core;Qt::Network;Qt::Gui;Qt::Widgets;Qt::Core5Compat;\$<\$<BOOL:OFF>:Tasking>;\$<\$<BOOL:OFF>:Spinner>"
)

# Create imported target QtCreator::Spinner
add_library(QtCreator::Spinner OBJECT IMPORTED)

set_target_properties(QtCreator::Spinner PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "SPINNER_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/solutions"
)

# Create imported target QtCreator::Tasking
add_library(QtCreator::Tasking OBJECT IMPORTED)

set_target_properties(QtCreator::Tasking PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "TASKING_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/solutions"
)

# Create imported target QtCreator::TerminalLib
add_library(QtCreator::TerminalLib SHARED IMPORTED)

set_target_properties(QtCreator::TerminalLib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/solutions"
)

# Create imported target QtCreator::Tracing
add_library(QtCreator::Tracing SHARED IMPORTED)

set_target_properties(QtCreator::Tracing PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt::Widgets;Qt::Qml"
  _qt_qml_module_installed_plugin_target ""
  _qt_qml_module_plugin_target ""
)

# Create imported target QtCreator::SqliteInternal
add_library(QtCreator::SqliteInternal OBJECT IMPORTED)

set_target_properties(QtCreator::SqliteInternal PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "SQLITEINTERNAL_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::Sqlite
add_library(QtCreator::Sqlite SHARED IMPORTED)

set_target_properties(QtCreator::Sqlite PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<BOOL:OFF>:ENABLE_SQLITE_TRACING>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/sqlite;${_IMPORT_PREFIX}/include/qtcreator/src/libs"
)

# Create imported target QtCreator::QmlPuppetCommunication
add_library(QtCreator::QmlPuppetCommunication STATIC IMPORTED)

set_target_properties(QtCreator::QmlPuppetCommunication PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "QMLPUPPETCOMMUNICATION_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs;${_IMPORT_PREFIX}/include/qtcreator/src/libs/qmlpuppetcommunication/types;${_IMPORT_PREFIX}/include/qtcreator/src/libs/qmlpuppetcommunication/interfaces;${_IMPORT_PREFIX}/include/qtcreator/src/libs/qmlpuppetcommunication/container;${_IMPORT_PREFIX}/include/qtcreator/src/libs/qmlpuppetcommunication/commands"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Qt::Core>;\$<LINK_ONLY:Qt::CorePrivate>;\$<LINK_ONLY:Qt::Gui>;QtCreator::Nanotrace"
)

# Create imported target QtCreator::CmdBridgeClient
add_library(QtCreator::CmdBridgeClient SHARED IMPORTED)

set_target_properties(QtCreator::CmdBridgeClient PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/gocmdbridge"
  INTERFACE_LINK_LIBRARIES "QtCreator::Utils"
)

# Create imported target QtCreator::qlitehtml
add_library(QtCreator::qlitehtml SHARED IMPORTED)

set_target_properties(QtCreator::qlitehtml PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/lib/qlitehtml"
  INTERFACE_LINK_LIBRARIES "Qt6::Widgets"
)

# Create imported target QtCreator::designerintegrationv2
add_library(QtCreator::designerintegrationv2 STATIC IMPORTED)

set_target_properties(QtCreator::designerintegrationv2 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/shared/designerintegrationv2;${_IMPORT_PREFIX}/include/qtcreator/src/shared"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Qt::Designer>;\$<LINK_ONLY:Qt::Widgets>"
)

# Create imported target QtCreator::ProParser
add_library(QtCreator::ProParser SHARED IMPORTED)

set_target_properties(QtCreator::ProParser PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "QMAKE_BUILTIN_PRFS;QMAKE_OVERRIDE_PRFS;PROPARSER_THREAD_SAFE;PROEVALUATOR_CUMULATIVE;PROEVALUATOR_DUAL_VFS;PROEVALUATOR_SETENV;PROEVALUATOR_THREAD_SAFE"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/shared"
)

# Create imported target QtCreator::shared_help
add_library(QtCreator::shared_help STATIC IMPORTED)

set_target_properties(QtCreator::shared_help PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "SHARED_HELP_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins/help;${_IMPORT_PREFIX}/include/qtcreator/src/plugins;${_IMPORT_PREFIX}/include/qtcreator/../qt-creator_build/build/src/shared/help/shared_help_autogen/include;${_IMPORT_PREFIX}/include/qtcreator/../qt-creator_build/build/src/shared/help;${_IMPORT_PREFIX}/include/qtcreator/src/shared/help;${_IMPORT_PREFIX}/include/qtcreator/src/shared"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:QtCreator::Utils>;\$<LINK_ONLY:QtCreator::Core>;Qt::Help;Qt::PrintSupport;Qt::Widgets"
)

# Create imported target QtCreator::Core
add_library(QtCreator::Core SHARED IMPORTED)

set_target_properties(QtCreator::Core PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::Aggregation;QtCreator::ExtensionSystem;QtCreator::Utils"
)

# Create imported target QtCreator::Lua
add_library(QtCreator::Lua SHARED IMPORTED)

set_target_properties(QtCreator::Lua PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "LUA_AVAILABLE"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::lua546;QtCreator::sol2;QtCreator::TextEditor"
)

# Create imported target QtCreator::TextEditor
add_library(QtCreator::TextEditor SHARED IMPORTED)

set_target_properties(QtCreator::TextEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::KSyntaxHighlighting"
)

# Create imported target QtCreator::SerialTerminal
add_library(QtCreator::SerialTerminal SHARED IMPORTED)

set_target_properties(QtCreator::SerialTerminal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ExtensionManager
add_library(QtCreator::ExtensionManager SHARED IMPORTED)

set_target_properties(QtCreator::ExtensionManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::HelloWorld
add_library(QtCreator::HelloWorld SHARED IMPORTED)

set_target_properties(QtCreator::HelloWorld PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ImageViewer
add_library(QtCreator::ImageViewer SHARED IMPORTED)

set_target_properties(QtCreator::ImageViewer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Marketplace
add_library(QtCreator::Marketplace SHARED IMPORTED)

set_target_properties(QtCreator::Marketplace PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ScreenRecorder
add_library(QtCreator::ScreenRecorder SHARED IMPORTED)

set_target_properties(QtCreator::ScreenRecorder PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::UpdateInfo
add_library(QtCreator::UpdateInfo SHARED IMPORTED)

set_target_properties(QtCreator::UpdateInfo PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Welcome
add_library(QtCreator::Welcome SHARED IMPORTED)

set_target_properties(QtCreator::Welcome PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::BinEditor
add_library(QtCreator::BinEditor SHARED IMPORTED)

set_target_properties(QtCreator::BinEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CodePaster
add_library(QtCreator::CodePaster SHARED IMPORTED)

set_target_properties(QtCreator::CodePaster PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::DiffEditor
add_library(QtCreator::DiffEditor SHARED IMPORTED)

set_target_properties(QtCreator::DiffEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::EmacsKeys
add_library(QtCreator::EmacsKeys SHARED IMPORTED)

set_target_properties(QtCreator::EmacsKeys PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Macros
add_library(QtCreator::Macros SHARED IMPORTED)

set_target_properties(QtCreator::Macros PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ProjectExplorer
add_library(QtCreator::ProjectExplorer SHARED IMPORTED)

set_target_properties(QtCreator::ProjectExplorer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::SilverSearcher
add_library(QtCreator::SilverSearcher SHARED IMPORTED)

set_target_properties(QtCreator::SilverSearcher PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Axivion
add_library(QtCreator::Axivion SHARED IMPORTED)

set_target_properties(QtCreator::Axivion PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CompilerExplorer
add_library(QtCreator::CompilerExplorer SHARED IMPORTED)

set_target_properties(QtCreator::CompilerExplorer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CppEditor
add_library(QtCreator::CppEditor SHARED IMPORTED)

set_target_properties(QtCreator::CppEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::CPlusPlus;Qt::Widgets"
)

# Create imported target QtCreator::Haskell
add_library(QtCreator::Haskell SHARED IMPORTED)

set_target_properties(QtCreator::Haskell PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Help
add_library(QtCreator::Help SHARED IMPORTED)

set_target_properties(QtCreator::Help PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ResourceEditor
add_library(QtCreator::ResourceEditor SHARED IMPORTED)

set_target_properties(QtCreator::ResourceEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Nim
add_library(QtCreator::Nim SHARED IMPORTED)

set_target_properties(QtCreator::Nim PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Conan
add_library(QtCreator::Conan SHARED IMPORTED)

set_target_properties(QtCreator::Conan PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::SafeRenderer
add_library(QtCreator::SafeRenderer SHARED IMPORTED)

set_target_properties(QtCreator::SafeRenderer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Terminal
add_library(QtCreator::Terminal SHARED IMPORTED)

set_target_properties(QtCreator::Terminal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Vcpkg
add_library(QtCreator::Vcpkg SHARED IMPORTED)

set_target_properties(QtCreator::Vcpkg PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ClassView
add_library(QtCreator::ClassView SHARED IMPORTED)

set_target_properties(QtCreator::ClassView PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::GLSLEditor
add_library(QtCreator::GLSLEditor SHARED IMPORTED)

set_target_properties(QtCreator::GLSLEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ModelEditor
add_library(QtCreator::ModelEditor SHARED IMPORTED)

set_target_properties(QtCreator::ModelEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QtSupport
add_library(QtCreator::QtSupport SHARED IMPORTED)

set_target_properties(QtCreator::QtSupport PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::ProParser"
)

# Create imported target QtCreator::Todo
add_library(QtCreator::Todo SHARED IMPORTED)

set_target_properties(QtCreator::Todo PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::VcsBase
add_library(QtCreator::VcsBase SHARED IMPORTED)

set_target_properties(QtCreator::VcsBase PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::AutotoolsProjectManager
add_library(QtCreator::AutotoolsProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::AutotoolsProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Bazaar
add_library(QtCreator::Bazaar SHARED IMPORTED)

set_target_properties(QtCreator::Bazaar PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Beautifier
add_library(QtCreator::Beautifier SHARED IMPORTED)

set_target_properties(QtCreator::Beautifier PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ClearCase
add_library(QtCreator::ClearCase SHARED IMPORTED)

set_target_properties(QtCreator::ClearCase PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CVS
add_library(QtCreator::CVS SHARED IMPORTED)

set_target_properties(QtCreator::CVS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Designer
add_library(QtCreator::Designer SHARED IMPORTED)

set_target_properties(QtCreator::Designer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Docker
add_library(QtCreator::Docker SHARED IMPORTED)

set_target_properties(QtCreator::Docker PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::FakeVim
add_library(QtCreator::FakeVim SHARED IMPORTED)

set_target_properties(QtCreator::FakeVim PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Fossil
add_library(QtCreator::Fossil SHARED IMPORTED)

set_target_properties(QtCreator::Fossil PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::GenericProjectManager
add_library(QtCreator::GenericProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::GenericProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Git
add_library(QtCreator::Git SHARED IMPORTED)

set_target_properties(QtCreator::Git PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Mercurial
add_library(QtCreator::Mercurial SHARED IMPORTED)

set_target_properties(QtCreator::Mercurial PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::MesonProjectManager
add_library(QtCreator::MesonProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::MesonProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Perforce
add_library(QtCreator::Perforce SHARED IMPORTED)

set_target_properties(QtCreator::Perforce PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmakeProjectManager
add_library(QtCreator::QmakeProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::QmakeProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmlJSTools
add_library(QtCreator::QmlJSTools SHARED IMPORTED)

set_target_properties(QtCreator::QmlJSTools PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::QmlJS"
)

# Create imported target QtCreator::ScxmlEditor
add_library(QtCreator::ScxmlEditor SHARED IMPORTED)

set_target_properties(QtCreator::ScxmlEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Subversion
add_library(QtCreator::Subversion SHARED IMPORTED)

set_target_properties(QtCreator::Subversion PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CompilationDatabaseProjectManager
add_library(QtCreator::CompilationDatabaseProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::CompilationDatabaseProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::LanguageClient
add_library(QtCreator::LanguageClient SHARED IMPORTED)

set_target_properties(QtCreator::LanguageClient PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::LanguageServerProtocol;Qt::Core"
)

# Create imported target QtCreator::LuaLanguageClient
add_library(QtCreator::LuaLanguageClient SHARED IMPORTED)

set_target_properties(QtCreator::LuaLanguageClient PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins/languageclient"
)

# Create imported target QtCreator::QmlDesignerBase
add_library(QtCreator::QmlDesignerBase SHARED IMPORTED)

set_target_properties(QtCreator::QmlDesignerBase PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesignerbase/utils;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesignerbase/studio"
)

# Create imported target QtCreator::WebAssembly
add_library(QtCreator::WebAssembly SHARED IMPORTED)

set_target_properties(QtCreator::WebAssembly PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Debugger
add_library(QtCreator::Debugger SHARED IMPORTED)

set_target_properties(QtCreator::Debugger PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Coco
add_library(QtCreator::Coco SHARED IMPORTED)

set_target_properties(QtCreator::Coco PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Copilot
add_library(QtCreator::Copilot SHARED IMPORTED)

set_target_properties(QtCreator::Copilot PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::GitLab
add_library(QtCreator::GitLab SHARED IMPORTED)

set_target_properties(QtCreator::GitLab PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmlProjectManager
add_library(QtCreator::QmlProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::QmlProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmlprojectmanager/buildsystem;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmlprojectmanager/cmakegen"
)

# Create imported target QtCreator::Python
add_library(QtCreator::Python SHARED IMPORTED)

set_target_properties(QtCreator::Python PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ClangFormat
add_library(QtCreator::ClangFormat SHARED IMPORTED)

set_target_properties(QtCreator::ClangFormat PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CMakeProjectManager
add_library(QtCreator::CMakeProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::CMakeProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Android
add_library(QtCreator::Android SHARED IMPORTED)

set_target_properties(QtCreator::Android PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::AutoTest
add_library(QtCreator::AutoTest SHARED IMPORTED)

set_target_properties(QtCreator::AutoTest PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::BareMetal
add_library(QtCreator::BareMetal SHARED IMPORTED)

set_target_properties(QtCreator::BareMetal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ClangCodeModel
add_library(QtCreator::ClangCodeModel SHARED IMPORTED)

set_target_properties(QtCreator::ClangCodeModel PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::yaml-cpp
add_library(QtCreator::yaml-cpp SHARED IMPORTED)

set_target_properties(QtCreator::yaml-cpp PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "YAML_CPP_DLL"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/libs/3rdparty/yaml-cpp/include;${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::ClangTools
add_library(QtCreator::ClangTools SHARED IMPORTED)

set_target_properties(QtCreator::ClangTools PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Cppcheck
add_library(QtCreator::Cppcheck SHARED IMPORTED)

set_target_properties(QtCreator::Cppcheck PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::IncrediBuild
add_library(QtCreator::IncrediBuild SHARED IMPORTED)

set_target_properties(QtCreator::IncrediBuild PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Ios
add_library(QtCreator::Ios SHARED IMPORTED)

set_target_properties(QtCreator::Ios PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmlJSEditor
add_library(QtCreator::QmlJSEditor SHARED IMPORTED)

set_target_properties(QtCreator::QmlJSEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmlPreview
add_library(QtCreator::QmlPreview SHARED IMPORTED)

set_target_properties(QtCreator::QmlPreview PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::QmlDebug"
)

# Create imported target QtCreator::QmlProfiler
add_library(QtCreator::QmlProfiler SHARED IMPORTED)

set_target_properties(QtCreator::QmlProfiler PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  _qt_qml_module_installed_plugin_target ""
  _qt_qml_module_plugin_target ""
)

# Create imported target QtCreator::RemoteLinux
add_library(QtCreator::RemoteLinux SHARED IMPORTED)

set_target_properties(QtCreator::RemoteLinux PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Valgrind
add_library(QtCreator::Valgrind SHARED IMPORTED)

set_target_properties(QtCreator::Valgrind PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::PerfProfiler
add_library(QtCreator::PerfProfiler SHARED IMPORTED)

set_target_properties(QtCreator::PerfProfiler PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
  _qt_qml_module_installed_plugin_target ""
  _qt_qml_module_plugin_target ""
)

# Create imported target QtCreator::QbsProjectManager
add_library(QtCreator::QbsProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::QbsProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::CtfVisualizer
add_library(QtCreator::CtfVisualizer SHARED IMPORTED)

set_target_properties(QtCreator::CtfVisualizer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Squish
add_library(QtCreator::Squish SHARED IMPORTED)

set_target_properties(QtCreator::Squish PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Boot2Qt
add_library(QtCreator::Boot2Qt SHARED IMPORTED)

set_target_properties(QtCreator::Boot2Qt PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmlDesignerUtils
add_library(QtCreator::QmlDesignerUtils STATIC IMPORTED)

set_target_properties(QtCreator::QmlDesignerUtils PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "QMLDESIGNERUTILS_LIBRARY"
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANG_AND_ID:CXX,Clang,GNU>:-Wno-error=maybe-uninitialized>;\$<\$<COMPILE_LANG_AND_ID:CXX,Clang>:-Wno-unneeded-internal-declaration>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/utils"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Qt::Gui>;\$<LINK_ONLY:QtCreator::Utils>;\$<LINK_ONLY:Qt::QmlPrivate>"
)

# Create imported target QtCreator::QmlDesigner
add_library(QtCreator::QmlDesigner SHARED IMPORTED)

set_target_properties(QtCreator::QmlDesigner PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/designercore;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/designercore/include;${_IMPORT_PREFIX}/include/qtcreator/src/plugins;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/components;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/components/componentcore;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/components/formeditor;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/components/integration;${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/designercore"
  INTERFACE_LINK_LIBRARIES "QtCreator::QmlDesignerUtils;QtCreator::QmlPuppetCommunication;QtCreator::QmlDesignerBase"
)

# Create imported target QtCreator::assetexporterplugin
add_library(QtCreator::assetexporterplugin SHARED IMPORTED)

set_target_properties(QtCreator::assetexporterplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins/qmldesigner/assetexporterplugin;${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::componentsplugin
add_library(QtCreator::componentsplugin SHARED IMPORTED)

set_target_properties(QtCreator::componentsplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::qmlpreviewplugin
add_library(QtCreator::qmlpreviewplugin SHARED IMPORTED)

set_target_properties(QtCreator::qmlpreviewplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::qtquickplugin
add_library(QtCreator::qtquickplugin SHARED IMPORTED)

set_target_properties(QtCreator::qtquickplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QmlDesignerLite
add_library(QtCreator::QmlDesignerLite SHARED IMPORTED)

set_target_properties(QtCreator::QmlDesignerLite PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::EffectComposer
add_library(QtCreator::EffectComposer SHARED IMPORTED)

set_target_properties(QtCreator::EffectComposer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::StudioWelcome
add_library(QtCreator::StudioWelcome SHARED IMPORTED)

set_target_properties(QtCreator::StudioWelcome PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Insight
add_library(QtCreator::Insight SHARED IMPORTED)

set_target_properties(QtCreator::Insight PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::Qnx
add_library(QtCreator::Qnx SHARED IMPORTED)

set_target_properties(QtCreator::Qnx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::McuSupport
add_library(QtCreator::McuSupport SHARED IMPORTED)

set_target_properties(QtCreator::McuSupport PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::QtApplicationManagerIntegration
add_library(QtCreator::QtApplicationManagerIntegration SHARED IMPORTED)

set_target_properties(QtCreator::QtApplicationManagerIntegration PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/plugins"
)

# Create imported target QtCreator::sdktoolLib
add_library(QtCreator::sdktoolLib STATIC IMPORTED)

set_target_properties(QtCreator::sdktoolLib PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "SDKTOOLLIB_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/;${_IMPORT_PREFIX}/include/qtcreator/../../libs;${_IMPORT_PREFIX}/include/qtcreator/../"
  INTERFACE_LINK_LIBRARIES "Qt::Core"
)

# Create imported target QtCreator::perfparser_lib
add_library(QtCreator::perfparser_lib STATIC IMPORTED)

set_target_properties(QtCreator::perfparser_lib PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "PERFPARSER_LIB_LIBRARY"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qtcreator/src/tools/perfparser/app;${_IMPORT_PREFIX}/include/qtcreator/src/tools/perfparser"
  INTERFACE_LINK_LIBRARIES "Qt::Core;Qt::Network;elfutils::dw;elfutils::elf"
)

if(CMAKE_VERSION VERSION_LESS 3.1.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.1.0 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/QtCreatorTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
